package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 * @ Description: 二维码防伪实体类
 * @ Author     : 86187
 * @ Date       : 2021/4/21 11:48
 */
@Data
@ApiModel("AntiFake")
public class AntiFake {
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id")
    private Long id;

    /**
     * 产品编号
     */
    @ApiModelProperty(value = "产品编号", name = "productNo")
    private String productNo;


    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", name = "batchNumber")
    private String batchNumber;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号", name = "batchNo")
    private String batchNo;

    /**
     * 生成日期 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生成日期 yyyy-MM-dd", name = "produceTime")
    private String produceTime;

    /**
     * 第一次扫码时间
     */
    @ApiModelProperty(value = "第一次扫码时间", name = "scanTime")
    private Date scanTime;

    /**
     * 状态 ： 0：未扫描 1：已扫描
     */
    @ApiModelProperty(value = "状态 ： 0：未扫描 1：已扫描", name = "status")
    private Integer status;

    /**
     * 二维码图片url
     */
    @ApiModelProperty(value = "二维码图片url", name = "url")
    private String url;

    private Date createTime;

    private Date updateTime;

}
