package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import org.springframework.web.multipart.MultipartFile;


/**
 * @author 86187
 * @ Description: 二维码防伪接口定义
 * @ Author     : 86187
 * @ Date       : 2021/4/21 10:28
 */
public interface AntiFakeService {

    /**
     * 创建防伪二维码
     *
     * @param number 二维码数量
     * @return true or false
     */
    R<Boolean> createCode(Integer number) throws Exception;

    /**
     * 解析二维码
     *
     * @param file 二维码
     * @return 结果
     * @throws Exception 异常
     */
    R<String> decode(MultipartFile file) throws Exception;

    R<String> uploadImage() throws Exception;
}
