package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.OrderInfo;
import cn.wisenergy.model.app.User;
import cn.wisenergy.model.dto.OrderInfoQuery;
import com.github.pagehelper.PageInfo;
import com.youzan.cloud.open.sdk.common.exception.SDKException;

import java.io.IOException;

/**
*@ Description: 订单接口定义
*@ Author     : 86187
*@ Date       : 2021/2/22 17:04
 * @author 86187
 */
public interface OrderService {

    /**
     * 根据有赞的订单创建时间获取订单数据
     * @throws SDKException
     */
    void getYouZanOrdersForCreateTime() throws SDKException;

    /**
     * 根据有赞的订单修改时间获取订单数据
     * @throws SDKException
     */
    void getYouZanOrdersForUpdateTime() throws SDKException;

    /**
     * 分页查询所有订单数据
     * @return
     */
    R<PageInfo<OrderInfo>> findByPage(OrderInfoQuery query);

    /**
     * 测试用户直推表中的当月收益字段是否累加
     * @throws IOException
     */
//    void orderJSON() throws IOException;
}
