package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.service.app.AntiFakeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @author 86187
 */
@Api(tags = "管理端-防伪二维码管理")
@RestController
@Slf4j
public class AntiFakeController {

    @Autowired
    private AntiFakeService antiFakeService;

    @ApiOperation(value = "解析二维码", notes = "解析二维码", httpMethod = "POST")
    @PostMapping(value = "/admin/decode", headers = "content-type=multipart/form-data")
    public R<String> getByUserId(@RequestParam("file") MultipartFile file,
                                 HttpServletRequest request) throws Exception {
        return antiFakeService.decode(file);
    }

    @ApiOperation(value = "解析二维码", notes = "解析二维码", httpMethod = "POST")
    @PostMapping(value = "/admin/create/code", headers = "content-type=multipart/form-data")
    public R<Boolean> create(Integer number) throws Exception {
        return antiFakeService.createCode(number);
    }

    @ApiOperation(value = "上传防伪码图片接口", notes = "上传防伪码图片接口", httpMethod = "POST", produces = "application/json; charset=UTF-8")
    @RequestMapping(value = "/admin/uploadImage", method = RequestMethod.POST)
    public R<String> uploadImage() throws Exception {
        return antiFakeService.uploadImage();
    }
}
